# Gitea act runner

Act runner is a runner for Gitea based on Gitea fork of act.

## Quickstart

Actions are disabled by default, so you need to add the following to the configuration file of your Gitea instance to enable it: 
  
```ini
[actions]
ENABLED=true
```

### Register

```bash
/usr/share/gitea-act-runner/act_runner-register.sh
```

And you will be asked to input:

1. Gitea instance URL, like `http://192.168.8.8:3000/`. You should use your gitea instance ROOT_URL as the instance argument
 and you should not use `localhost` or `127.0.0.1` as instance IP;
2. Runner token, you can get it from `http://192.168.8.8:3000/admin/actions/runners`;
3. Runner name, you can just leave it blank;
4. Runner labels, you can just leave it blank.

The process looks like:

```text
INFO Registering runner, arch=amd64, os=darwin, version=0.1.5.
WARN Runner in user-mode.
INFO Enter the Gitea instance URL (for example, https://gitea.com/):
http://192.168.8.8:3000/
INFO Enter the runner token:
fe884e8027dc292970d4e0303fe82b14xxxxxxxx
INFO Enter the runner name (if set empty, use hostname: Test.local):

INFO Enter the runner labels, leave blank to use the default labels (comma-separated, for example, ubuntu-latest:docker://gitea/runner-images:ubuntu-latest):

INFO Registering runner, name=Test.local, instance=http://192.168.8.8:3000/, labels=[ubuntu-latest:docker://gitea/runner-images:ubuntu-latest ubuntu-22.04:docker://gitea/runner-images:ubuntu-22.04 ubuntu-20.04:docker://gitea/runner-images:ubuntu-20.04].
DEBU Successfully pinged the Gitea instance server
INFO Runner registered successfully.
```

You can also register manually with command line arguments.

```bash
cd ~act-runner
sudo -u act-runner -H act_runner register --instance http://192.168.8.8:3000 --token <my_runner_token> --no-interactive
```
    
If the registry succeed, it will run immediately. Next time, you could run the runner directly.

### Run

```bash
act_runner daemon
```

### Configuration

You can also configure the runner with a configuration file.
The configuration file is a YAML file, you can generate a sample configuration file with `./act_runner generate-config`.
The systemd service file expects the file to be in the /etc/gitea-act-runner

```bash
act_runner generate-config > /etc/gitea-act-runner/config.yaml
chmod 0640 /etc/gitea-act-runner/config.yaml
```

You can specify the configuration file path with `-c`/`--config` argument.

```bash
act_runner -c /etc/gitea-act-runner/config.yaml register # register with config file
act_runner -c /etc/gitea-act-runner/config.yaml daemon # run with config file
```

You can read the latest version of the configuration file online at [config.example.yaml](internal/pkg/config/config.example.yaml).

https://gitea.com/gitea/act_runner