# Gitea actions in rootless docker containers

This package configures a rootless docker instance owned by the docker-rootless user
to enable gitea actions in a non-root docker environment.

## Post-installation steps

You have to start and register the docker instance with Gitea:

```bash
systemctl -M act-runner-rootless@ --user enable --now dockerd-rootless-user
sudo -u act-runner-rootless /usr/share/gitea-act-runner/rootless-act_runner-register.sh
systemctl -M act-runner-rootless@ --user enable --now gitea-act-runner-rootless
```

You will be asked to input:

1. Gitea instance URL, like `http://192.168.8.8:3000/`. You should use your gitea instance ROOT_URL as the instance argument
 and you should not use `localhost` or `127.0.0.1` as instance IP;
2. Runner token, you can get it from `http://192.168.8.8:3000/admin/actions/runners`;
3. Runner name, you can just leave it blank;
4. Runner labels, you can just leave it blank.

Apart from registering the docker instance, the script also produces a default config file in the `/home/act_runner` directory.

If you uninstall the package, you need to manually remove the registration in the Gitea UI.
